Class DeviceWrapper
java.lang.Object
com.eqixiac.equinix.core.model.ResourceImpl<Device>
com.eqixiac.equinix.networkedge.model.wrappers.DeviceWrapper
- Author:
- ianjones
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiondelete()Deletes the device (DELETE /ne/v1/devices/{uuid}).delete(DeviceDeleteRequest request) Deletes the device with the spec's options:deleteRedundantDevicefor a redundant pair and thedeletionInfodeactivation keys (Palo Alto BYOL).ping()postLicenseFile(String fileContents) refresh()restoreFromBackup(Backup backup) restoreFromBackup(String backupUuid, String backupName) save(DeviceUpdaterJson updaterJson) update()updateAdditionalBandwidth(Integer additionalBandwidth) updateLicenseToken(String licenseToken) Methods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface Device
getAccountName, getAccountNumber, getAdditionalBandwidth, getAsn, getChannelPartner, getConnectivity, getCore, getCreatedBy, getCreatedDate, getDeviceManagementType, getDeviceSerialNo, getDeviceTypeCategory, getDeviceTypeCode, getDeviceTypeName, getDeviceTypeVendor, getDiverseFromDeviceName, getDiverseFromDeviceUuid, getExpiry, getHostName, getInterfaceCount, getInterfaces, getLastUpdatedBy, getLastUpdatedDate, getLicenseFileId, getLicenseName, getLicenseStatus, getLicenseType, getManagementGatewayIp, getManagementIp, getMetroCode, getMetroName, getName, getNewTermLength, getNotifications, getPackageCode, getPackageName, getPlane, getPricingDetails, getPrimaryDnsName, getPublicGatewayIp, getPublicIp, getPurchaseOrderNumber, getRedundancyType, getRedundantUuid, getRegion, getSecondaryDnsName, getSiteId, getSshIpAddress, getSshIpFqdn, getSshIpFqdnStatus, getStatus, getSystemIpAddress, getTermLength, getThroughput, getThroughputUnit, getUserPublicKey, getUuid, getVendorConfig, getVersionMethods inherited from interface Resource
getServiceClient
-
Constructor Details
-
DeviceWrapper
-
-
Method Details
-
getPricing
- Specified by:
getPricingin interfaceDevice
-
restoreFromBackup
- Specified by:
restoreFromBackupin interfaceDevice
-
restoreFromBackup
- Specified by:
restoreFromBackupin interfaceDevice- Parameters:
backupName- the name of the backup (DeviceBackupUpdateRequest.name), required by the API.
-
updateAdditionalBandwidth
- Specified by:
updateAdditionalBandwidthin interfaceDevice
-
postLicenseFile
-
updateLicenseToken
-
ping
-
update
-
save
-
delete
-
delete
Description copied from interface:DeviceDeletes the device with the spec's options:deleteRedundantDevicefor a redundant pair and thedeletionInfodeactivation keys (Palo Alto BYOL). -
refresh
-